C API Functions

## udbKindInverse

### Description

Return the inverse kind of the specified kind. This is valid only for reference kinds. Returns 0 if an invalid kind is specified. For example, the inverse kind of call is callby, and the inverse of setby is set.

Refer to the language-specific listings of reference kinds in the Appendix Entity and Reference Kinds.

### Syntax

     #include "udb/udb.h"
     UdbKind  udbKindInverse( UdbKind  kind)

### Arguments

Argument | description
UdbKind kind | Specify the entity kind

### Return Values

Return values | description
UdbKind | Returns the inverse kind or 0 if an invalid kind is specified.

### Example Usage

      inv_kind =  udbKindInverse(udbReferenceKind(ref));

### See Also

udbReferenceKind to get the kind of the reference.

udbIsKind to check if a kind matches a specified kind name.

Scientific Toolworks, Inc. http://www.scitools.com Voice: (802) 763-2995 Fax: (802) 763-3066 support@scitools.com sales@scitools.com